test_setup()
{
    request=$'/foo.cgi\tping\r\n'

    cat >"$docroot"/foo.cgi <<EOF
#!/bin/sh

read
printf '%s' "\$REPLY"
EOF
    chmod +x "$docroot"/foo.cgi
}

test_set_assumptions()
{
    echo 0 >"$work"/exitcode.expected
    touch "$work"/stderr.expected

    printf '%s' ping >"$work"/stdout.expected
}
